# Repzo API - Full Invoices

OpenAPI specification for Repzo Full Invoices endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/fullinvoices`

#### GET /fullinvoices

**Summary:** Find full invoices

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering full invoices |

##### Responses

**200** - A list of full invoices

Content-Type: `application/json`

---

#### POST /fullinvoices

**Summary:** Create a full invoice

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Full invoice created

Content-Type: `application/json`

---

### `/fullinvoices/{id}`

#### GET /fullinvoices/{id}

**Summary:** Get a full invoice by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Full invoice details

Content-Type: `application/json`

---

#### PUT /fullinvoices/{id}

**Summary:** Update a full invoice

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Full invoice updated

Content-Type: `application/json`

---

## Data Models

### FullInvoiceFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### FullInvoiceCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `serial` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `warehouse` | string | No | No description |

| `items` | array | No | No description |

| `total` | number | No | No description |

| `status` | string | No | No description |

| `dueDate` | string | No | No description |

### FullInvoiceCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### FullInvoiceGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### FullInvoiceUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `serial` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `warehouse` | string | No | No description |

| `items` | array | No | No description |

| `total` | number | No | No description |

| `status` | string | No | No description |

| `dueDate` | string | No | No description |

### FullInvoiceUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### FullInvoice

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `serial` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `warehouse` | string | No | No description |

| `items` | array | No | No description |

| `total` | number | No | No description |

| `status` | string | No | No description |

| `dueDate` | string | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [fullinvoices-examples.md](./fullinvoices-examples.md) for detailed TypeScript usage examples.
